<template>
  <div id="error-page">
    <div class="notfound">
      <div class="notfound-404">
        <h3>Error!</h3>
        <h1>
          <span v-for="(item, ind) in code" :key="ind">{{ item }}</span>
        </h1>
      </div>
      <h2>{{ msg }}</h2>
      <div class="pt-3"><button class="btn btn-dark rounded-pill px-5 fw-bold" @click="clickBack">Back</button></div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      code: [],
      msg: ""
    };
  },
  methods: {
    clickBack() {
      this.$router.push("/").catch(() => {});
    }
  },
  mounted() {
    let error = this.$store.state.error || {};

    this.code = error.code && error.code.toString().split("");
    this.msg = error.message;
  }
};
</script>

<style scoped>
#error-page {
  position: relative;
  height: 100vh;
}

#error-page .notfound {
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.notfound {
  max-width: 520px;
  width: 100%;
  line-height: 1.4;
  text-align: center;
}

.notfound .notfound-404 {
  position: relative;
  height: 240px;
}

.notfound .notfound-404 h1 {
  font-family: "Montserrat", sans-serif;
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  font-size: 252px;
  font-weight: 900;
  margin: 0px;
  color: #262626;
  text-transform: uppercase;
  letter-spacing: -40px;
  margin-left: -20px;
}

.notfound .notfound-404 h1 > span {
  text-shadow: -8px 0px 0px #fff;
}

.notfound .notfound-404 h3 {
  font-family: "Cabin", sans-serif;
  position: relative;
  font-size: 16px;
  font-weight: 700;
  text-transform: uppercase;
  color: #262626;
  margin: 0px;
  letter-spacing: 3px;
  padding-left: 6px;
}

.notfound h2 {
  font-family: "Cabin", sans-serif;
  font-size: 20px;
  font-weight: 400;
  text-transform: uppercase;
  color: #000;
  margin-top: 0px;
  margin-bottom: 25px;
}

@media only screen and (max-width: 767px) {
  .notfound .notfound-404 {
    height: 200px;
  }
  .notfound .notfound-404 h1 {
    font-size: 200px;
  }
}

@media only screen and (max-width: 480px) {
  .notfound .notfound-404 {
    height: 162px;
  }
  .notfound .notfound-404 h1 {
    font-size: 162px;
    height: 150px;
    line-height: 162px;
  }
  .notfound h2 {
    font-size: 16px;
  }
}
</style>
